std::stack::~stack(3)

NAME
std::stack::~stack - std::stack::~stack

Synopsis
   ~stack();
   Destructs the stack. The destructors of the elements are called and the used storage
   is deallocated. Note, that if the elements are pointers, the pointed-to objects are
   not destroyed.

Complexity
   Linear in the size of the stack.